curl --request GET \
--url https://business.bfinance.app/external/api/esim/details/{esimId} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": {
"esim": {
"installation": {
"lpa": "LPA:1$tsm‑prd‑00‑abc$SM‑DP+Address$activation‑code",
"smdpAddress": "smdp.example.com",
"iccid": "8901234567890123456"
},
"createdAt": "2024-04-01T12:34:56.789Z",
"status": "active",
"usage": {
"data": {
"initial": {
"quantity": 500,
"unit": "MB"
},
"remaining": {
"quantity": 320,
"unit": "MB"
}
}
}
},
"package": {
"id": "pkg_123",
"unlimited": false,
"data": {
"quantity": 500,
"unit": "MB"
},
"voice": {
"quantity": 100,
"unit": "min"
},
"sms": {
"quantity": 50
},
"validity": {
"quantity": 30,
"unit": "days"
},
"coverage": [
{
"name": "United States",
"flagUrl": "https://cdn.example.com/flags/us.svg",
"network": [
{
"name": "AT&T",
"mobileStandards": [
"3G",
"4G",
"5G"
]
}
]
}
]
}
}
}Returns installation data, current usage, and the purchased package information for a specific eSIM that belongs to the authenticated user.
curl --request GET \
--url https://business.bfinance.app/external/api/esim/details/{esimId} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": {
"esim": {
"installation": {
"lpa": "LPA:1$tsm‑prd‑00‑abc$SM‑DP+Address$activation‑code",
"smdpAddress": "smdp.example.com",
"iccid": "8901234567890123456"
},
"createdAt": "2024-04-01T12:34:56.789Z",
"status": "active",
"usage": {
"data": {
"initial": {
"quantity": 500,
"unit": "MB"
},
"remaining": {
"quantity": 320,
"unit": "MB"
}
}
}
},
"package": {
"id": "pkg_123",
"unlimited": false,
"data": {
"quantity": 500,
"unit": "MB"
},
"voice": {
"quantity": 100,
"unit": "min"
},
"sms": {
"quantity": 50
},
"validity": {
"quantity": 30,
"unit": "days"
},
"coverage": [
{
"name": "United States",
"flagUrl": "https://cdn.example.com/flags/us.svg",
"network": [
{
"name": "AT&T",
"mobileStandards": [
"3G",
"4G",
"5G"
]
}
]
}
]
}
}
}Was this page helpful?